org.jbpm.casemgmt.impl.jms

## Class AsyncCaseInstanceAuditEventProducer

- java.lang.Object
- - org.jbpm.casemgmt.impl.jms.AsyncCaseInstanceAuditEventProducer

- All Implemented Interfaces:
    EventListener, CaseEventListener, org.kie.internal.runtime.Cacheable

      public class AsyncCaseInstanceAuditEventProducer
      extends Object
      implements CaseEventListener, org.kie.internal.runtime.Cacheable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncCaseInstanceAuditEventProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCaseDataAdded(CaseDataEvent event)`
    `void` | `afterCaseDataRemoved(CaseDataEvent event)`
    `void` | `afterCaseReopen(CaseReopenEvent event)`
    `void` | `afterCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)`
    `void` | `afterCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)`
    `void` | `afterCaseStarted(CaseStartEvent event)`
    `void` | `close()`
    `javax.jms.ConnectionFactory` | `getConnectionFactory()`
    `javax.jms.Queue` | `getQueue()`
    `boolean` | `isTransacted()`
    `protected void` | `sendMessage(Integer eventType, AuditCaseInstanceData eventData, int priority)`
    `void` | `setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)`
    `void` | `setQueue(javax.jms.Queue queue)`
    `void` | `setTransacted(boolean transacted)`
    `protected List<CaseFileData>` | `updateCaseFileItems(CaseEvent event, Map<String,Object> addedData, String caseId, String caseDefinitionId, String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.casemgmt.api.event.CaseEventListener

      `afterCaseCancelled, afterCaseClosed, afterCaseCommentAdded, afterCaseCommentRemoved, afterCaseCommentUpdated, afterCaseDestroyed, afterDynamicProcessAdded, afterDynamicTaskAdded, beforeCaseCancelled, beforeCaseClosed, beforeCaseCommentAdded, beforeCaseCommentRemoved, beforeCaseCommentUpdated, beforeCaseDataAdded, beforeCaseDataRemoved, beforeCaseDestroyed, beforeCaseReopen, beforeCaseRoleAssignmentAdded, beforeCaseRoleAssignmentRemoved, beforeCaseStarted, beforeDynamicProcessAdded, beforeDynamicTaskAdded`

- - ### Constructor Detail

    - #### AsyncCaseInstanceAuditEventProducer

          public AsyncCaseInstanceAuditEventProducer()

  - ### Method Detail

    - #### getConnectionFactory

          public javax.jms.ConnectionFactory getConnectionFactory()

    - #### setConnectionFactory

          public void setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)

    - #### getQueue

          public javax.jms.Queue getQueue()

    - #### setQueue

          public void setQueue(javax.jms.Queue queue)

    - #### isTransacted

          public boolean isTransacted()

    - #### setTransacted

          public void setTransacted(boolean transacted)

    - #### afterCaseStarted

          public void afterCaseStarted(CaseStartEvent event)

      Specified by:
        `afterCaseStarted` in interface `CaseEventListener`

    - #### afterCaseReopen

          public void afterCaseReopen(CaseReopenEvent event)

      Specified by:
        `afterCaseReopen` in interface `CaseEventListener`

    - #### afterCaseRoleAssignmentAdded

          public void afterCaseRoleAssignmentAdded(CaseRoleAssignmentEvent event)

      Specified by:
        `afterCaseRoleAssignmentAdded` in interface `CaseEventListener`

    - #### afterCaseRoleAssignmentRemoved

          public void afterCaseRoleAssignmentRemoved(CaseRoleAssignmentEvent event)

      Specified by:
        `afterCaseRoleAssignmentRemoved` in interface `CaseEventListener`

    - #### afterCaseDataAdded

          public void afterCaseDataAdded(CaseDataEvent event)

      Specified by:
        `afterCaseDataAdded` in interface `CaseEventListener`

    - #### afterCaseDataRemoved

          public void afterCaseDataRemoved(CaseDataEvent event)

      Specified by:
        `afterCaseDataRemoved` in interface `CaseEventListener`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

    - #### sendMessage

          protected void sendMessage(Integer eventType,
                                     AuditCaseInstanceData eventData,
                                     int priority)

    - #### updateCaseFileItems

          protected List<CaseFileData> updateCaseFileItems(CaseEvent event,
                                                           Map<String,Object> addedData,
                                                           String caseId,
                                                           String caseDefinitionId,
                                                           String user)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.